@use "sass:map";
@use "sass:color";

@function pet-make-fluo($color) {
  @return color.scale($color, $saturation: 50%, $lightness: 10%)
}

////// NELLA

//Main
$primary: #57803d;
$secondary: #910c3f;
$info: #d1bc00;
$danger: #b0212f;

//Custom
$tertiary: #e89316;
$main-gray: #555b62;
$main-gray-str: #2e3135;
$cool-white: #f3f8ff;
$cool-white-str: #e6effb;

//Derived
$primary-light: shift-color($primary, -25%);
$primary-lighter: shift-color($primary, -40%);
$primary-lightest: shift-color($primary, -65%);
$primary-dark: shift-color($primary, +15%);
$primary-fluo: pet-make-fluo($primary);

$secondary-light: shift-color($secondary, -25%);
$secondary-lighter: shift-color($secondary, -60%);
$secondary-lightest: shift-color($secondary, -80%);
$secondary-dark: shift-color($secondary, +15%);
$secondary-fluo: pet-make-fluo($secondary);

$tertiary-light: shift-color($tertiary, -25%);
$tertiary-dark: shift-color($tertiary, +25%);
$tertiary-fluo: pet-make-fluo($tertiary);

$info-light: shift-color($info, -20%);
$info-dark: shift-color($info, +25%);

$danger-fluo: pet-make-fluo($danger);
  
// Element-specific colors

$spinner-backdrop-color: color.scale($secondary-dark, $alpha: -80%);
$tooltip-panel-color: color.scale($secondary-dark, $alpha: -30%);
$tooltip-inner-color: color.scale($secondary-dark, $alpha: -10%);

$grid-light-stripe: color.scale($cool-white, $alpha: -50%);
$grid-dark-stripe: color.scale($cool-white-str, $alpha: -70%);

//////////////

//Maps

$pet-custom-colors: (
  "tertiary": $tertiary,
  "tertiary-fluo": $tertiary-fluo,
  "main-gray": $main-gray,
  "main-gray-str": $main-gray-str,
  "cool-white": $cool-white,
  "cool-white-str": $cool-white-str,
);

$pet-derived-colors: (
	"primary-light": $primary-light,
	"primary-lighter": $primary-lighter,
	"primary-lightest": $primary-lightest,
	"primary-dark": $primary-dark,
	"primary-fluo": $primary-fluo,
	
	"secondary-light": $secondary-light,
	"secondary-lighter": $secondary-lighter,
	"secondary-lightest": $secondary-lightest,
	"secondary-dark": $secondary-dark,
	"secondary-fluo": $secondary-fluo,
	
	"tertiary-light": $tertiary-light,
	"tertiary-dark": $tertiary-dark,
	
	"info-light": $info-light,
	"info-dark": $info-dark,
	
	"danger-fluo": $danger-fluo,
);

$pet-element-specific-colors: (
  "spinner-backdrop-color": $spinner-backdrop-color,
  "tooltip-panel-color": $tooltip-panel-color,
  "tooltip-inner-color": $tooltip-inner-color,

  "grid-light-stripe": $grid-light-stripe,
  "grid-dark-stripe": $grid-dark-stripe,
)
